curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/asset/7453f146-b267-11f1-b4f4-0abd773ba497' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"asset": {
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"symbol": "AAPLx",
"name": "Apple xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "334.85",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
"networks": [
{
"can_buy": true,
"can_sell": true,
"funding_currencies": [
"USDC"
],
"limits": [],
"multiplier": "1",
"network": "Ethereum",
"quantity_decimals": 18,
"token_id": "f8ae8432-14d6-4142-a733-8b989c33ecfb"
}
]
}
Stocks
Retrieve an asset
Retrieve an asset and its supported network capabilities. Asset and network availability can differ.
GET
/
asset
/
{asset_id}
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/asset/7453f146-b267-11f1-b4f4-0abd773ba497' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"asset": {
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"symbol": "AAPLx",
"name": "Apple xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "334.85",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
"networks": [
{
"can_buy": true,
"can_sell": true,
"funding_currencies": [
"USDC"
],
"limits": [],
"multiplier": "1",
"network": "Ethereum",
"quantity_decimals": 18,
"token_id": "f8ae8432-14d6-4142-a733-8b989c33ecfb"
}
]
}
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/asset/7453f146-b267-11f1-b4f4-0abd773ba497' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"asset": {
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"symbol": "AAPLx",
"name": "Apple xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "334.85",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
"networks": [
{
"can_buy": true,
"can_sell": true,
"funding_currencies": [
"USDC"
],
"limits": [],
"multiplier": "1",
"network": "Ethereum",
"quantity_decimals": 18,
"token_id": "f8ae8432-14d6-4142-a733-8b989c33ecfb"
}
]
}
Authorizations
The API token for login provided by UQPAY.
Path Parameters
Asset identifier returned by List assets.

